#customer_details.col2-set .col-1 {
    width: 50%;
}


#customer_details.col2-set .col-2 {
    width: 44%;
}

body.woocommerce-checkout .woocommerce-form-login-toggle .woocommerce-info.jv-notice a {
    color: #000000 !important;
    text-decoration: none;
    transform: ease all 600ms;
}

body.woocommerce-checkout .woocommerce-form-login-toggle .woocommerce-info.jv-notice a:hover {
    color: #000000 !important;
    text-decoration: underline;
    transform: ease all 600ms;
}


.billing:before {
    content: 'Personal Details';
    display: block;
    margin: 0 0 28px 0;
    font-family: 'Josefin Sans', sans-serif;
    font-weight: 400;
    font-size: 15px;
    color: #000;
}

.billing #billing_first_name_field,
.billing #billing_last_name_field {
    width: 100%;
}

.billing {
    margin-bottom: 0 !important;
}

body.woocommerce-checkout .billing.checkout-form .form-row {
    position: relative !important;
}



body.woocommerce-checkout .billing.checkout-form .jv-label,
body.woocommerce-checkout .billing.checkout-form .jv-label .require {
    font-family: 'Josefin Sans', sans-serif !important;
    font-weight: 300 !important;
    color: #000 !important;
    font-size: 15px;
    line-height: 23px;
}

.woocommerce form .form-row .required {
    color: #000 !important;
}

body.woocommerce-checkout .billing.checkout-form .jv-label.active {
    background-color: #ffffff !important;
    padding: 5px;
    font-size: 13px !important;
    position: absolute;
    height: 25px;
    top: -12px;
    left: 10px;
    transition: ease all 800ms;
    z-index: 1;
    clip: unset !important;
}

body.woocommerce-checkout .billing.checkout-form .jv-label {
    background-color: #ffffff !important;
    padding: 5px;
    position: absolute;
    height: 25px;
    top: 9px;
    left: 10px;
    transition: ease all 800ms;
    z-index: 1;
    clip: unset !important;
    clip-path: none !important;
    opacity: 1;
    overflow: visible;
    width: fit-content;
}


.woocommerce-account #my-account-content .jv-input,
.woocommerce-checkout .jv-input {
    height: 40px !important;
    line-height: 45px !important;
    border: 1px solid #000 !important;
    background-color: transparent !important;
    border-radius: 0 !important;
    padding: 5px 15px 0 15px !important;
    color: #000 !important;
    font-family: 'Josefin Sans', sans-serif !important;
    font-weight: 300 !important;
    font-size: 15px !important;
}

.woocommerce-checkout p.form-row {
    margin-bottom: 34px;
}

.woocommerce-account #my-account-content .jv-input::placeholder,
.woocommerce-checkout .jv-input::placeholder {
    color: #000 !important;
    font-family: 'Josefin Sans', sans-serif !important;
    font-weight: 300 !important;
    font-size: 15px !important;
}

body.woocommerce-checkout .billing.checkout-form input::placeholder {
    font-size: 0 !important;
    opacity: 0 !important;
}

body.woocommerce-checkout .billing.checkout-form .form-row select,
body.woocommerce-checkout .billing.checkout-form .form-row span {
    font-weight: 300 !important;
}

body.woocommerce-checkout .billing.checkout-form .form-row .select2-selection__rendered {
    /*padding-top: 10px !important;*/
}

body.woocommerce-checkout .billing.checkout-form .col-1 .woocommerce-account-fields {
    height: 20px;
    margin-bottom: 0 !important;
}

body.woocommerce-checkout .billing.checkout-form .col-1 .woocommerce-account-fields .create-account {
    height: 20px;
    margin-bottom: 0 !important;
}


@media only screen and (max-width: 980px) {
    body.woocommerce-checkout .billing.checkout-form .form-row:last-child {
        margin-bottom: 0;
    }
}

/*---Create a Account---*/

body.woocommerce-checkout .billing .woocommerce-form__label-for-checkbox {
    display: flex !important;
    flex-direction: row !important;
    align-items: center !important;
    justify-content: flex-start !important;
    height: 15px !important;
    margin: 0 0 40px 0 !important;
}

body.woocommerce-checkout .woocommerce-account-fields.checkout-form.billing:before {
    display: none;
}

body.woocommerce-checkout .create-account.woocommerce-validated {
    padding: 0;
    height: 20px;
    margin: 25px 0 0 0 !important;
}

body.woocommerce-checkout .billing .create-account label.woocommerce-form__label-for-checkbox.checkbox {
    margin: 0 0 0 0 !important;
}

body.woocommerce-checkout .billing h3#ship-to-different-address {
    font-family: 'Josefin Sans', sans-serif !important;
    font-weight: 300 !important;
    font-size: 15px !important;
}

body.woocommerce-checkout .billing h2#shipping-address-header {
    font-family: 'Josefin Sans', sans-serif !important;
    font-weight: 300 !important;
    font-size: 28px !important;
    text-transform: uppercase;
    margin-bottom: 34px;
}

body.woocommerce-checkout .billing .woocommerce-form__label-for-checkbox input#ship-to-different-address-checkbox {
    border-radius: 0 !important;
    appearance: none !important;
    -webkit-appearance: none !important;
    border: 1px solid #000 !important;
    width: 15px !important;
    height: 15px !important;
    background-color: transparent !important;
    position: relative;
    display: block;
    margin: 0 10px 3px 4px !important;

}

body.woocommerce-checkout .billing .woocommerce-form__label-for-checkbox input#ship-to-different-address-checkbox:checked {
    border: 1px solid #000 !important;
    appearance: none !important;
    -webkit-appearance: none !important;
    width: 15px !important;
    height: 15px !important;
    background-color: transparent !important;
    position: relative;
}

body.woocommerce-checkout .billing .woocommerce-form__label-for-checkbox input#ship-to-different-address-checkbox:checked::after {
    content: '\4e';
    font-family: 'ETModules';
    width: 15px;
    height: 15px;
    color: #000000;
    position: absolute;
    top: 0;
    left: 0;
}


body.woocommerce-checkout .woocommerce-input-wrapper .select2-selection,
body.woocommerce-checkout .woocommerce-billing-fields .woocommerce-input-wrapper .select2-selection {
    height: 40px !important;
    min-height: 40px !important;
    border: 1px solid #000 !important;
    background-color: transparent;
    border-radius: 0 !important;
    padding: 0 15px;
}

body.woocommerce-checkout .woocommerce-input-wrapper .select2-container .select2-selection__arrow {
    top: 8px !important;
    width: 16px;
    right: 10px;
}

body.woocommerce-checkout .woocommerce-input-wrapper .select2-container .select2-selection__arrow b {
    border: none;
    display: block;
    background-image: url(https://janineventer.co.za/wp-content/uploads/2025/03/drop-down-icon.svg);
    background-repeat: no-repeat;
    background-position: 50% 50%;
    background-size: 16px 8px;
}

body.woocommerce-checkout .woocommerce-input-wrapper .select2-container.select2-container--open .select2-selection__arrow b {
    background-image: url(https://janineventer.co.za/wp-content/uploads/2025/03/drop-down-icon.svg);
    background-repeat: no-repeat;
    background-position: 50% 50%;
    background-size: 16px 8px;
    transform: rotate(180deg);
}

body.woocommerce-checkout .woocommerce-input-wrapper .select2-selection {
    height: 40px !important;
    line-height: 40px;
    background-color: transparent;
    border-radius: 0 !important;
    font-weight: 300 !important;
}

body.woocommerce-checkout .woocommerce-input-wrapper .select2-selection__rendered {
    height: 40px !important;
    line-height: 40px;
    padding: 0 !important;
    background-color: transparent;
    border-radius: 0 !important;
    font-weight: 300 !important;
}

body.woocommerce-checkout .select2-container.select2-container--default .select2-dropdown {
    border-radius: 0 !important;
    font-family: 'Josefin Sans', sans-serif !important;
    font-weight: 300 !important;
    font-size: 15px;
    color: #000 !important;
}

body.woocommerce-checkout .select2-container.select2-container--default .select2-dropdown .select2-results__option.select2-results__option--highlighted {
    background-color: #000000;
    font-family: 'Josefin Sans', sans-serif !important;
    font-weight: 400 !important;
    font-size: 15px;
}


#order_review .woocommerce-checkout-review-order-table thead tr th {
    padding-top: 0 !important;
    padding-left: 0 !important;
}

#order_review .woocommerce-checkout-review-order-table tbody tr td {
    padding-left: 0 !important;
}

#checkout-order-table #order_review .woocommerce-checkout-review-order-table tfoot tr th,
#checkout-order-table #order_review .woocommerce-checkout-review-order-table tfoot tr td {
    padding-left: 0 !important;
}

#checkout-order-table .woocommerce-Price-amount {
    font-weight: 600;
}

tr.woocommerce-shipping-totals.shipping th {}

/*---Shipping Methods Input---*/
#checkout-order-table .woocommerce-shipping-methods li {
    display: flex;
    flex-direction: row;
}

#checkout-order-table .woocommerce-shipping-methods li .label {
    display: block !important;
    width: fit-content !important;
}

#checkout-order-table .woocommerce-shipping-methods input {
    appearance: none;
    -webkit-appearance: none;
    width: 16px;
    height: 16px;
    display: block;
    position: relative;
}

#checkout-order-table .woocommerce-shipping-methods input:after {
    content: '';
    display: block;
    margin: 0 10px 0 0;
    border: 1px solid #000;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    position: relative;
    top: -3px;
}

#checkout-order-table .woocommerce-shipping-methods input:checked:before {
    content: '';
    display: block;
    width: 10px;
    height: 10px;
    background-color: #000;
    border-radius: 50%;
    position: absolute;
    top: 1px;
    left: 4px;
}

body.woocommerce-checkout .woocommerce-billing-fields__field-wrapper .form-row.validate-email {
    margin-bottom: 0 !important;
}


#checkout-order-table.shop_table tr th,
#checkout-order-table.shop_table tr td {
    padding-top: 34px;
    padding-bottom: 34px;
}

#checkout-order-table.shop_table td {
    border-top: 1px solid rgba(0, 0, 0, 1);
    padding: 9px 12px;
    vertical-align: middle;
    line-height: 1.5em;

}

.woocommerce table.shop_table tbody th,
.woocommerce table.shop_table tfoot td,
.woocommerce table.shop_table tfoot th {
    font-family: 'Josefin Sans', sans-serif !important;
    font-weight: 700;
    border-top: 1px solid rgba(0, 0, 0, 1);
    color: #000;
}

#checkout-order-table.shop_table {
    border: none !important;
}

#checkout-order-table.shop_table .cart-subtotal td {
    border-top: 1px solid rgba(0, 0, 0, 1);
    font-size: 15px;
    color: #000;

}

#checkout-order-table.shop_table .cart_item td.product-name {
    font-weight: 300 !important;
}

#checkout-order-table.shop_table .cart_item td {
    font-family: 'Josefin Sans', sans-serif !important;
    font-size: 15px;
    color: #000;
}

#checkout-order-table.shop_table .order-total th,
#checkout-order-table.shop_table .order-total td {
    border-bottom: 1px solid rgba(0, 0, 0, 1);
}

#payment.woocommerce-checkout-payment {
    background-color: transparent;
}

.wc_payment_methods.payment_methods.methods {
    border-bottom: none !important;
}

#payment.woocommerce-checkout-payment p {
    font-family: 'Josefin Sans', sans-serif !important;
    font-size: 15px;
    color: #000;
    font-weight: 300;
    line-height: 22px;
}

.woocommerce #payment #place_order,
.woocommerce-page #payment #place_order {
    margin: 40px 0 0 0 !important;
}

#checkout-notes h3 {
    margin-bottom: 38px;
}

body.woocommerce-checkout #checkout-notes textarea::placeholder {
    font-size: 0 !important;
    color: transparent !important;
}

body.woocommerce-checkout #checkout-notes textarea.input-text {
    height: 45px;
    padding: 0;
    font-family: 'Josefin Sans', sans-serif !important;
    color: #000;
    font-weight: 300;
    padding: 15px;
    border: 1px solid #000;
    border-radius: 0;
}

body.woocommerce-checkout #checkout-notes .form-row.notes {
    position: relative;
}

body.woocommerce-checkout #checkout-notes label.active {
    background-color: #ffffff;
    position: absolute;
    padding: 5px;
    left: 15px;
    top: -10px;
    font-size: 13px;
    transition: ease all 800ms;
}

body.woocommerce-checkout #checkout-notes label {
    font-family: 'Josefin Sans', sans-serif !important;
    color: #000;
    font-weight: 300;
    background-color: #ffffff;
    position: absolute;
    padding: 5px;
    left: 15px;
    top: 13px;
    font-size: 15px;
    line-height: 15px;
    transition: ease all 800ms;
}


@media only screen and (max-width: 980px) {

    body.woocommerce-checkout #checkout-notes h3 {
        margin-bottom: 20px;
    }

    body.woocommerce-checkout #checkout-notes .form-row.notes {
        position: relative;
    }

    body.woocommerce-checkout #checkout-notes label {
        background-color: #ffffff;
        position: absolute;
        padding: 5px;
        left: 15px;
        top: -10px;
    }

}


body.woocommerce-checkout .checkout-header {
    font-family: 'Josefin Sans', Helvetica, Arial, Lucida, sans-serif;
    font-weight: 300;
    text-transform: uppercase;
    padding-bottom: 0;
    font-size: 28px;
    line-height: 34px;
    margin-bottom: 34px;
}

body.woocommerce-checkout .checkout-header.top-margin {
    font-family: 'Josefin Sans', Helvetica, Arial, Lucida, sans-serif;
    font-weight: 300;
    text-transform: uppercase;
    padding-bottom: 0;
    font-size: 28px;
    line-height: 34px;
    margin-bottom: 30px;
    margin-top: 68px;
}


body.woocommerce-checkout .yoco-payment-method-title {
    font-family: 'Josefin Sans', Helvetica, Arial, Lucida, sans-serif;
    font-weight: 700;
}

/*---Login Form---*/
.checkout_coupon.woocommerce-form-coupon,
.woocommerce-checkout .woocommerce-form.woocommerce-form-login.login {
    border: none;
    padding: 0 0 !important;
}

#checkout-login.woocommerce-form-login {
    padding-top: 0;
    margin-top: 0;
}

.woocommerce-checkout .woocommerce-form-login .woocommerce-form-login__rememberme {
    display: flex !important;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    height: 15px;
    margin: -10px 0 20px -4px;
    width: 100%;
}

.woocommerce-checkout .woocommerce-form-login .woocommerce-form-login__rememberme input {
    border-radius: 0 !important;
    appearance: none !important;
    -webkit-appearance: none !important;
    border: 1px solid #000 !important;
    width: 15px !important;
    height: 15px !important;
    background-color: transparent !important;
    position: relative;
    display: block;
    margin: 0 10px 3px 4px !important;

}

.woocommerce-checkout .woocommerce-form-login .woocommerce-form-login__rememberme input:checked {
    border: 1px solid #000 !important;
    appearance: none !important;
    -webkit-appearance: none !important;
    width: 15px !important;
    height: 15px !important;
    background-color: transparent !important;
    position: relative;
}

.woocommerce-checkout .woocommerce-form-login .woocommerce-form-login__rememberme input:checked::after {
    content: '\4e';
    font-family: 'ETModules';
    width: 15px;
    height: 15px;
    color: #000000;
    position: absolute;
    top: 0;
    left: 0;
}

.woocommerce-checkout .woocommerce-form-login p {
    color: #000 !important;
    font-family: 'Josefin Sans', sans-serif !important;
    font-weight: 300 !important;
    font-size: 15px !important;
    line-height: 22px;
}

.woocommerce-checkout .woocommerce-form-login .woocommerce-form-login__rememberme span {
    color: #000 !important;
    font-family: 'Josefin Sans', sans-serif !important;
    font-weight: 300 !important;
    font-size: 15px !important;
    line-height: 15px;
    display: block;
}

.woocommerce-checkout .woocommerce-form-login p.lost_password a {
    color: #000 !important;
    font-family: 'Josefin Sans', sans-serif !important;
    font-weight: 300 !important;
    font-size: 15px !important;
    text-decoration: underline;
}

.woocommerce-form.woocommerce-form-login p.form-row.jv-bottom-row {
    margin-bottom: 10px !important;
}

body.woocommerce-checkout #checkout-login.woocommerce-form.woocommerce-form-login.login .form-row:not(.jv-bottom-row) {
    position: relative !important;
    height: 45px !important;
}

body.woocommerce-checkout #checkout-login.woocommerce-form.woocommerce-form-login.login .jv-label {
    background-color: #ffffff !important;
    padding: 5px;
    position: absolute !important;
    height: 25px;
    top: 5px;
    left: 10px;
    transition: ease all 800ms;
    z-index: 1;
    clip: unset !important;
    clip-path: none !important;
    opacity: 1;
    overflow: visible;
    width: fit-content;
}

body.woocommerce-checkout #checkout-login.woocommerce-form.woocommerce-form-login.login .jv-label.active {
    background-color: #ffffff !important;
    padding: 5px;
    font-size: 13px !important;
    position: absolute !important;
    height: 25px;
    top: -12px;
    left: 10px;
    transition: ease all 800ms;
    z-index: 1;
    clip: unset !important;
}

.woocommerce-checkout p.form-row {
    margin-bottom: 40px !important;
}

body.woocommerce-checkout #checkout-login.woocommerce-form.woocommerce-form-login.login .jv-input {
    padding: 0 15px !important;
}

@media only screen and (max-width: 980px) {
    .woocommerce-checkout .woocommerce-form.woocommerce-form-login.login .form-row {
        float: unset !important;
        width: 100% !important;
    }

    .woocommerce-checkout .woocommerce-form.woocommerce-form-login.login .form-row input {
        height: 45px;
    }

}